BEGIN K#BANA

IF ~NumTimesTalkedTo(0)~ THEN BEGIN BananaMeet
SAY ~GREETINGS ADVENTURERS!  I am Banana! and I am here to make all your dreams and fantasies become REAL with my MAGICAL BANANA POWERS!!!111!11ONEONE~ [K#BAN23]
= ~Anyway, my sole purpose for existing whatsoever is to aid and abet you in any capacity you may require before I meet my end at the cruel hand of fate! Isn't that just dandy?~ [K#BAN27]
++ ~Er…I…I am afraid.~  GOTO afraid
++ ~YES! JOIN ME AND TOGETHER WE SHALL DO THINGS!~ GOTO dothin
++ ~NEVAAAR!  I DENY YOU AND YOUR YELLOW WAYS!~ GOTO denial
END

IF ~~ THEN BEGIN afraid
SAY ~There is nothing to fear! With Banana! at your side, you will be nigh-unstoppable!  Unless I brown, of course.  Then you're basically all alone and lost in your pathetic little self-world.~ [K#BAN30]

++ ~YES! JOIN ME AND TOGETHER WE SHALL DO THINGS!~ GOTO dothin
++ ~NEVAAAR!  I DENY YOU AND YOUR YELLOW WAYS!~ GOTO denial
END

IF ~~ THEN BEGIN dothin
SAY~YES! I knew you would follow the omnipresent hand of fate and allow me to join you!  Come, let us slaughter, maim, and rob the innocents even as we rescue kittens from trees!~ [K#BAN25]
IF ~~ THEN REPLY ~Join me!~ DO ~SetGlobal("BananaJoined","LOCALS",1)JoinParty()~  EXIT
END

IF ~~ THEN BEGIN denial
SAY ~THEN I SHALL REMAIN HERE, a stoic sentry, awaiting your inevitable change of heart.  Toodles!~ [K#BAN21]
IF ~~ THEN EXIT
END


IF ~NumTimesTalkedToGT(0)~ THEN BEGIN SecondMeetingBanana
SAY ~What?  What is this thing standing before me, shrouded in shroudy stuff and oozing words out of its buccal lips?  Could it be…the PC?~ [K#BAN29]
++ ~I am very, very disturbed right now.  Do you even know what buccal means? You know what? Nevermind.  Banana!, will you join with me once more?~ GOTO rejoin
++ ~O…kaaayyy… Forget it…backing away slooowwwlllyyyy….~ EXIT
END


IF ~~ THEN BEGIN rejoin
SAY ~Of course!  My browning days are over now!! Happy days are here again!  I SHALL DO THIS THING!~ [K#BAN28]
++ ~Wundervol.~ DO ~SetGlobal("BananaJoined","LOCALS",1)JoinParty()~ EXIT
END


BEGIN K#BanaP

IF ~Global("BananaJoined","LOCALS",1)~ THEN BEGIN KickOut
SAY ~What in all of cranberry Pieland is going on?!~ [K#BAN26]
++ ~Banana!.  It has recently come to my esteemed attention that I would very much like you to leave the party.~ GOTO BananaWhat
END

IF ~~ THEN BEGIN BananaWhat
SAY ~WHAT?!  You cannot deny me and my yellowy goodness!  I exist only to spread slightly odd-smelling yellow joy throughout your life!~ [K#BAN24]
++ ~I…I'm sorry, Banana!.  We'll always have Paris.~ GOTO BananaParis
++ ~Just kidding, Banana!.~ DO ~JoinParty()~ EXIT
END

IF ~~ THEN BEGIN BananaParis
SAY ~Nnnnggg….YOU COME FROM SAD WHALE FAMILY DEEP IN OCEAN YOU ARE EVIL!~[K#BAN20]
= ~(Banana! flees your upsetting presence and off into the dramatically backlit horizon.)~
IF ~~ THEN EXIT
END




